# Jekyll

An improved version of [Jekyll](https://jekyllrb.com) with the following changes:

- Support for addresses ending in a full stop is returned. The patch reverses the changes made in [version 4.1](https://github.com/jekyll/jekyll/pull/7315).

## Usage

All actions can be performed using the [Makefile](Makefile).

Run the `make` command without arguments to request help:

```sh
$ make

Usage:
  make <target>

Targets:
  help        Display this help.
  build       Build Jekyll v.JEKYLL_VERSION container image with IMAGE tag.
  push        Push container image with IMAGE tag.
  run         Run container image with IMAGE tag.
  test        Test IMAGE container via dgoss.
```

## Testing

The tests are written in `goss` and must be run with `dgoss`.
The test scripts and the test website are located in the [test](test/) directory.

To run the tests, run the `make test` command.

## Obsolete changes

File [patches/hardlinks.patch](patches/hardlinks.patch) contains a fix to add the use of hardlinks instead of copying static files.
This functionality is currently available through a [third-party extension](https://0xacab.org/sutty/jekyll/jekyll-hardlinks/-/tree/master).
The patch has been saved for backwards compatibility.

